
import javax.imageio.ImageIO;
import javax.swing.*;

import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class ShowImages extends JFrame 
{
    public ShowImages(String [] filenames)
    {
        // Call our parent frame constructor so we can set our title
        super("ShowImages");

        // Create the custom panel that draws the slideshow
        ShowImagesPanel panel = new ShowImagesPanel();

        // Add the custom panel to the frame
        getContentPane().add(panel);

        int maxWidth  = 0;
        int maxHeight = 0;
        int numImages = 0;
        
        // Loop over all the image filenames
        for (String s : filenames)
        {
            // Load the image from the filename s
            BufferedImage image = null;
            try
            {
                ***TBD***
            }
            catch (IOException e)
            {
                // We just skip over filenames that aren't found
            }

            // Only add images that were successfully loaded
            if (image != null)
            {
                // Figure out the width and height
                int width   = ***TBD***
                int height  = ***TBD***
                
                // Track the maximum width and height of any image
                ***TBD***

                System.out.printf("%s [%d x %d]\n", s, width, height);
                panel.addImage(image);
                
                // Track how many total actual images we loaded
                numImages++;
            }
        }
        
        // Give up if we didn't load any images
        if (numImages == 0)
            return;

        // This makes sure the content pane of the JFrame is big enough
        // to fit the biggest width and height of any of the images.
        getContentPane().setPreferredSize(new Dimension(maxWidth, maxHeight));
        pack();

        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);	

        // Fire up the thread in the panel object that periodically flips
        // the picture and forces a repaint.
        panel.startShow();
    }

    public static void main(String [] args)
    {
        ShowImages gui = new ShowImages(args);
    }
}
